<template>
    <v-layout row>
        <v-flex xs12 sm12>
            <v-card>
                <v-toolbar color="#3DBCEB" dark>
                    <v-toolbar-title>Listado de Pacientes</v-toolbar-title>
                    <v-spacer></v-spacer>

                    <v-btn icon>
                        <v-icon @click="searchText = !searchText">search</v-icon>
                    </v-btn>
                    <v-text-field v-model="search" @change="searchAction" v-if="searchText" label="Buscar" hint="Presione ENTER para buscar"></v-text-field>
                </v-toolbar>

                <v-list>
                    <v-list-tile v-for="item in getPacientesList.data" :key="item.id" avatar :to="`/paciente/${item.id}`">
                        <v-list-tile-avatar>
                            <v-icon>folder</v-icon>
                        </v-list-tile-avatar>
                        <v-list-tile-content>
                            <v-list-tile-title>{{ item.nombre }}</v-list-tile-title>
                            <v-list-tile-sub-title>Edad: {{ Nedad(item.birth) }} año(s)</v-list-tile-sub-title>

                        </v-list-tile-content>

                        <v-list-tile-action>
                            <v-btn icon ripple>
                                <v-icon color="grey lighten-1">info</v-icon>
                            </v-btn>
                        </v-list-tile-action>
                    </v-list-tile>
                </v-list>
                <v-flex class="text-xs-center" v-if="!getPacientesList.last_page == 1">
                    <v-pagination @input="changePage" v-model="currentPage" :total-visible="getPacientesList.per_page" :length="getPacientesList.last_page" circle color="#3DBCEB"></v-pagination>
                </v-flex>

            </v-card>
        </v-flex>
    </v-layout>
</template>

<script>
import moment from 'moment';

export default {
    name: 'PacientesList',
    props: {
        user_id: Number
    },
    data() {
        return {
            items: [],
            currentPage: 1,
            searchText: false,
            search: '',
        }
    },
    created() {
        this.getListadoPacientes({
            'search': this.$route.params.search,
            'page': 1
        })
    },
    methods: {
        searchToogle() {
            this.searchText = !this.searchText
        },
        searchAction() {
            setTimeout(() => {
                this.$router.push(`/dashboard/${this.user_id}/${this.search}`)
                this.getListadoPacientes({
                    'user_id': this.user_id,
                    'search': this.$route.params.search,
                    'page': this.currentPage
                })
            }, 1000)
        },
        changePage() {
            this.$store.dispatch('GET_PACIENTES_LIST', {
                'user_id': this.user_id,
                'search': this.search,
                'page': this.currentPage
            })
        },
        getListadoPacientes(pag) {
            this.$store.dispatch('GET_PACIENTES_LIST', {
                'user_id': this.user_id,
                'search': this.search,
                'page': pag
            })
        },
        Nedad: function (data) {
            return moment().diff(data, 'years', false);
        },
    },
    computed: {
        getPacientesList() {
            return this.$store.getters.getListadoPacientes
        },

    },
}
</script>

<style>

</style>
